//
//  SIDToken.h
//  SocialID
//
//  Created by Renato Neves on 9/10/15.
//  Copyright (c) 2015 Coffee Bean Tech. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SIDToken : NSObject <NSCoding>

@property NSString *accessToken;
@property NSString *expiresIn;
@property NSString *tokenType;
@property NSString *refreshToken;

/**
 Creates a new instance from an API Response represented by a dictionary.
 */
+ (instancetype) createFromAPIResponse:(NSDictionary *) attributes;

/**
 Returns the object description.
 */
- (NSString *) description;

@end